Subject: Re: kvm PCI assignment & VFIO ramblings

From: Avi Kivity <[email-masked]>
Date: Mon, 22 Aug 2011 16:06:07 +0300

On 08/22/2011 03:55 PM, Roedel, Joerg wrote:
> On Mon, Aug 22, 2011 at 08:42:35AM -0400, Avi Kivity wrote:
> >  On 08/22/2011 03:36 PM, Roedel, Joerg wrote:
> >  >  On the AMD IOMMU side this information is stored in the IVRS ACPI table.
> >  >  Not sure about the VT-d side, though.
> >
> >  I see.  There is no sysfs node representing it?
>
> No. It also doesn't exist as a 'struct pci_dev'. This caused problems in
> the AMD IOMMU driver in the past and I needed to fix that. There I know
> that from :)

Well, too bad.

>
> >  I'd rather not add another meaningless identifier.
>
> Well, I don't think its really meaningless, but we need some way to
> communicate the information about device groups to userspace.
>

I mean the contents of the group descriptor.  There are enough 42s in 
the kernel, it's better if we can replace a synthetic number with 
something meaningful.

-- 
error compiling committee.c: too many arguments to function